Une semaine sans Adobe Flash. Un premier bilan assez positif ?

Il y a une grosse semaine, j’ai fait sauter le greffon Adobe Flash de mon ordinateur. A l’origine de cette disparition, une remarque de Patrice Ferlet – je vous conseille son « petit » projet musical, Arkyne – sur Google Plus concernant l’empoisonnante affaire de l’EME dans Mozilla Firefox.

Cette remarque a été un déclic, et je la cite :

Revérifié, c’est l’api audio du browser qui est utilisée, donc si t’as FF ou Chrome ou tout autre browser qui gère correctement les api récentes, tu ne dois pas avoir de souci. Il faut par contre avoir les plugins gstreamer pour lire du mp3. Je vis depuis 2 ans sans plugin flash et je n’ai jamais de souci…

Le seul point qui me faisait garder Adobe Flash, c’était justement le support de Bandcamp pour l’amoureux fou de musique que je suis.

J’ai donc fait la manipulation suivante sur mon ArchLinux (et distribution apparentées) : installer les greffons gstreamer0.10 en parallèle des greffons gstreamer en version 1.2 qui ne sont pas encore complètement supportés au 12 juin 2014, date où je rédige cet article.

Simplement grace à la commande, sudo pacman -S pouvant être remplacé par yaourt -S :

sudo pacman -S gstreamer0.10-plugins gst-plugins-good gst-plugins-bad gst-plugins-ugly

Il y a encore un support par défaut de la génération 0.10 de gstreamer, le temps que gstreamer 1.2 soit pris en compte complètement. Les commandes sont à adapter en fonction de votre distribution, bien entendu ;)

Pour les distributions basées sur Debian GNU/Linux, et donc la tripotée sans cesse croissante de dérivées d’Ununtu, ce sont les paquets gstreamer0.10-plugins-good, gstreamer0.10-plugins-bad, gstreamer0.10-plugins-ugly, gstreamer1.0-plugins-good, gstreamer1.0-plugins-bad et gstreamer1.0-plugins-ugly qu’il faut installer.

Les autres ? Désolé, je n’ai pas fait de recherches ! :(

Pour mémoire, dans un article sur trollfr linuxfr.org, on apprend que Mozilla Firefox 30 est désormais compilé avec le support de Gstreamer 1.0.

J’ai ensuite viré le greffon Adobe Flash, et au démarrage suivant de Mozilla Firefox, Bandcamp fonctonnait parfaitement. La preuve ? En image ;)

Cela fait plaisir de voir comment en l’espace d’environ 18 mois, il est devenu possible de se passer de plus en plus facilement d’Adobe Flash. Youtube fonctionne très bien en mode html5, et cerise sur le gateau, les publicités dans les vidéos n’apparaissent plus ;)

Pourquoi ai-je soudainement l’impression de sentir ma barbe pousser à grande vitesse ? Encore merci à Patrice Ferlet pour m’avoir mis à la puce à l’oreille !

Vous aimez ceci ? Partagez-le !

15 réflexions sur “ Une semaine sans Adobe Flash. Un premier bilan assez positif ? ”

  1. D’abord un grand merci :) Arkyne est toujours en cours, j’ai juste beaucoup de mal à trouver du temps pour avancer.

    Revenons à Flash et tous les services web qui s’en passent de plus en plus. En fait, depuis des mois (presque 2 ans en fait) je me passe de ce plugin. Si j’y arrive c’est surtout parce, comme tu le remarques, la plupart des sites progressent assez rapidement dans le sens des API HTML5, et les technos qui vont avec.

    Ce qui m’a étonné, c’est la vitesse de progression de ces technos. On dirait bien que les dev ont pas mal poussé pour forcer l’intégration de HTML5 (je parle de HTML5 dans son ensemble, donc API JS, CSS3, WebGL etc…). Il y a 4 ans j’avais dit à un « flasheur » de ma boite « je pense sincèrement que flash va disparaitre dans les 6 ans… » et on dirait que je me suis pas trop planté :) Ok, reste encore pas mal de site qui l’utilisent, mais bon sang que ça disparait rapidement. Faut dire, Apple et Android après coup qui ont carrément viré cette techno, et la forte demande de site responsives et adaptés aux mobile dans le même temps, ça a beaucoup aidé.

    Aujourd’hui, ces technos permettent de réduire le fossé qui sépare Windows, Mac et Linux. Les navigateurs (même IE) ont vraiment fait un véritable effort pour intégrer HTML5, et du coup on voit des jeux en WebGL, des sites qui utilisent les api audio, vidéo… Flash perd franchement la partie.

    Après… avec les DRM qui arrivent dans les navigateurs (même si je ne suis pas complètement contre…), Google Chrome qui gère nativement le swf, et IE qui veut intégré WebRTC au travers de Skype… on risque de voir une explosion démogaphique au pays des trolls…

      1. Mais sous Arch, tu n’as pas de packages pré-compilés ? Tu dois toi-même tout compiler ?
        Car sous Ubu FF est déjà compilé donc avec gstreamer 1.0 !
        Sinon tu mérites des orties vu que je t’avais dit que fallait commencer à se passer de Flash et que tu voulais pas :p

  2. Merci pour ce billet, je viens de découvrir qu’en désactivant le plugin Flash de Firefox sur mon Ubuntu, ma navigation n’en était nullement affectée.

    Je peux lire mon YouTube et mon jeuxvideo.com. Le reste est secondaire.

  3. Bonjour,

    je suis actuellement en formation d’ingénierie de la formation à distance et je découvre que toutes les technologies utilisées (ou presque) sont basées sur flash. Le plugin est utilisé pour des raisons de facilité d’emploi à priori (les principales interfaces de classes virtuelles utilisent toutes flash sauf Big Blue Button qui est encore un peu léger pour les grosses classes).

    Le pire, je viens de me documenter sur M@gistère (espace Moodle modifié par l’Éducation Nationale pour lest formations hybrides du personnel) et c’est écrit exactement cela : «Pour les vidéos, le support du format FLV avec le codec H.263 / MP3 permet la meilleure compatibilité pour les vidéos centralisées. Le codec H.264 (Souvent utilisé pour les fichiers MP4) n’est pas affiché.»

    Pas facile de laisser tomber le flash dans ces conditions, même dans les instances officielles nationales :’(

    cordialement,
    Bionet

    1. Partout on trouve des bonnes technos bien pourrites :/
      Mon progiciel en bibliothèque fonctionne en ASP et ActiveX.
      ActiveX lol donc IE obligé !
      En 2014 !

      Heureusement, j’ai mon Firefox portable sans Flash pour surfer :)

  4. Salux la compagnie,

    Pour les personnes ayant de l’urticaire avec Adobe, je rappelle que il existe un greffon qui fonctionne vraiment très bien, et qui est Libre …. bon je dit cela si vous ne pouvez vraiment pas vous passé de Flash bien entendu :)
    Seul petit couac …c’est pour Chrome – Chromium … OK, pas tout à fait réglo, mais bon … :)
    Il s’appele chromium-pepper-flash ;)
    Sous Arch / Manjaro, faites un simple yaourt -S chromium-pepper-flash, ne pas oublier de désactiver l’autre plugin, car ils ne sont pas très d’accord entre eux …. MDR
    Le lien de la discussion : http://www.manjarofr.com/index.php/topic,72.0.html (Si Fred est d’accord que je mette ce lien bien entendu ;)
    @Pluche
    Gerinald

    1. Sous Windows, plus chaud et tu es sûr qu’il est Libre le plugin « pepper » ?
      De toute façon, c’est juste un wrapper comme le flashplugin-installer de Linux ou une réelle implémentation Libre ?
      J’ai un gros doute et dans le doute, je m’abstiens et je pisse au cul de Flash :p

  5. « Il y a encore un support par défaut de la génération 0.10 de gstreamer, le temps que gstreamer 1.2 soit pris en compte complètement. »

    Non, ce n’est pas exacte. Il existe actuellement deux API (0.10 et 1.0).

    L’API 0.10 est liée aux versions de GStreamer (ainsi que les plugins) <= 0.10.36

    L'API 1.0 (la compatibilté a été « cassée », tout n'a pas été porté entre l'API 0.10 et 1.0, http://cgit.freedesktop.org/gstreamer/gstreamer/plain/docs/random/porting-to-1.0.txt) commence à partir de GStreamer 0.11, et s'étend aux versions 1.x.

    Les numéros de versions n'ont rien à voir la dedans, il faut voir si Firefox supporte la nouvelle API.

      1. « Dans ce cas, l’intitulé du bug ouvert chez Mozilla Firefox est faux. »

        Je n’en sais rien.

        « Et depuis, la 1.0 est un peu de l’histoire ancienne dans le sens où la version stable est la 1.2.4 et celle de développement la 1.3.2), du moins au 13 juin, si j’en crois le dépot git de gstreamer. http://cgit.freedesktop.org/gstreamer/gstreamer/ »

        Quand je parle d’API, il s’agit en fait des fonctions, et classes accessibles à d’autres bibliothèques (ou logiciels).

        Les versions que tu cites utilisent la dernière API (1.0), globalement on retrouve les mêmes fonctionnalités entre les versions 1.0.x et 1.2.x (1.3.x est une version dite instable, qui apporte de nouvelles caractéristiques, d’où l’incrémentation du numéro mineur, tout en conservant le support des versions précédentes).
        Il est bien sûr évident, qu’il vaut mieux utiliser GStreamer 1.2.x, car des corrections ont été apportées par rapport aux versions précédentes.

  6. Il y a un site pour tester si on peut se passer totalement du plugin Flash ou pas, celui du projet Lazarus Mirages.
    C’est pas pour faire de la pub, c’est juste parce que le site n’existe et n’est constitué QUE de flash.
    Du coup, c’est le meilleur exemple de site pour tester si Flash peut-etre remplacé.
    En tout cas si pour les fichiers audio et les vidéos en streaming, si on peut se passer de Flash, c’est une très bonne chose!

Les commentaires sont fermés.